Bug 183520 - [maintainer update] Update RetroShare to 0.5.5.a; Support for Staging
[maintainer update] Update RetroShare to 0.5.5.a; Support for Staging
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: William Grzybowski
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-31 10:50 UTC by peter
Modified: 2013-11-06 15:40 UTC (History)
0 users

See Also:


Attachments
retroshare.diff (9.88 KB, patch)
2013-10-31 10:50 UTC, peter
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description peter 2013-10-31 10:50:00 UTC
    * Update to RetroShare version 0.5.5a
    * Support for Staging
    * Added files:
        + files/patch-plugins-FeedReader-FeedReader.pro
    * Deleted files:
        + files/patch-plugins-VOIP-VOIP.pro
        + files/patch-retroshare-gui-src-gui-common-GroupTreeWidget.cpp

Fix: See attached diff
How-To-Repeat: 	Update to 0.5.5.a
Comment 3 william88 2013-11-01 13:58:32 UTC
It seems it doesn't build with NOGUI:

cd retroshare-nogui/src/ && /usr/local/bin/qmake-qt4
/usr/ports/net-p2p/retroshare/work/RetroShare-v0.5.5a/retroshare-nogui/src/retroshare-nogui.pro
PREFIX=/usr/local -o Makefile.retroshare-nogui
Project MESSAGE: ../../../lib/libssh-0.5.4/build/src/libssh.a does not exist
Project MESSAGE:
../../../lib/libssh-0.5.4/build/src/threads/libssh_threads.a does not
exist
Project MESSAGE: You need to download and compile libssh
Project MESSAGE: See http://sourceforge.net/p/retroshare/code/6163/tree/trunk/
Project ERROR: Please fix this and try again. Will stop now.
*** [retroshare-nogui/src/Makefile.retroshare-nogui] Error code 2


-- 
William Grzybowski
------------------------------------------
Curitiba/PR - Brasil
Comment 4 William Grzybowski freebsd_committer 2013-11-01 13:58:47 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wg

I'll take it.
Comment 5 peter 2013-11-04 09:29:51 UTC
Thanks for figuring out, I knew I missed something :(

The NOGUI binary needs libssh at least in version 0.5.4,
ports have 0.5.2.
So in my opinion I'm going to remove the options at all
(the NOGUI binary does not build atm, don't know
if it was ever used, and the plugins are stable enough
now to be always installed IHMO).

I will provide a new patch shortly.
Comment 6 peter 2013-11-06 00:48:38 UTC
I removed the options, please use this patch:
http://www.netkey.at/peter/retroshare.diff
SHA265:
ce8e24572da72d8b30a2e1702dbbaf4954c201ad87ac245d0f89bdfe27cb82dd

redports logs:

https://redports.org/buildarchive/20131104195100-53317/
https://redports.org/buildarchive/20131105081314-59465/

Thank you!
Comment 7 dfilter freebsd_committer 2013-11-06 15:39:19 UTC
Author: wg
Date: Wed Nov  6 15:39:09 2013
New Revision: 333005
URL: http://svnweb.freebsd.org/changeset/ports/333005

Log:
  net-p2p/retroshare: update to 0.5.5a
  
  - Update to 0.5.5a
  - Convert lib depends to new format
  - Allow staging
  
  PR:		ports/183520
  Submitted by:	Peter Klett <peter netkey.at> (maintainer)

Added:
  head/net-p2p/retroshare/files/patch-plugins-FeedReader-FeedReader.pro   (contents, props changed)
Deleted:
  head/net-p2p/retroshare/files/patch-plugins-VOIP-VOIP.pro
  head/net-p2p/retroshare/files/patch-retroshare-gui-src-gui-common-GroupTreeWidget.cpp
  head/net-p2p/retroshare/files/patch-retroshare-nogui-src-retroshare-nogui.pro
Modified:
  head/net-p2p/retroshare/Makefile
  head/net-p2p/retroshare/distinfo
  head/net-p2p/retroshare/files/patch-retroshare-gui-src-retroshare-gui.pro
  head/net-p2p/retroshare/pkg-plist

Modified: head/net-p2p/retroshare/Makefile
==============================================================================
--- head/net-p2p/retroshare/Makefile	Wed Nov  6 15:35:55 2013	(r333004)
+++ head/net-p2p/retroshare/Makefile	Wed Nov  6 15:39:09 2013	(r333005)
@@ -2,10 +2,9 @@
 # $FreeBSD$
 
 PORTNAME=	retroshare
-PORTVERSION=	0.5.4d
-PORTREVISION=	2
+PORTVERSION=	0.5.5a
 CATEGORIES=	net-p2p
-MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
+MASTER_SITES=	SF
 MASTER_SITE_SUBDIR=${PORTNAME}/${BINARY}/${PORTVERSION}
 DISTNAME=	${BINARY}-v${PORTVERSION}
 
@@ -14,56 +13,41 @@ COMMENT=	Private and secure decentralise
 
 LICENSE=	GPLv2
 
-LIB_DEPENDS=	dbus-1:${PORTSDIR}/devel/dbus \
-		pthread-stubs:${PORTSDIR}/devel/libpthread-stubs \
-		pcre:${PORTSDIR}/devel/pcre \
-		upnp:${PORTSDIR}/devel/upnp \
-		png15:${PORTSDIR}/graphics/png \
-		freetype:${PORTSDIR}/print/freetype2 \
-		assuan:${PORTSDIR}/security/libassuan \
-		gcrypt:${PORTSDIR}/security/libgcrypt \
-		gnome-keyring:${PORTSDIR}/security/libgnome-keyring \
-		gpg-error:${PORTSDIR}/security/libgpg-error \
-		gpgme:${PORTSDIR}/security/gpgme \
-		expat:${PORTSDIR}/textproc/expat2 \
-		fontconfig:${PORTSDIR}/x11-fonts/fontconfig
-RUN_DEPENDS+=	pinentry-qt4:${PORTSDIR}/security/pinentry-qt4
+LIB_DEPENDS=	libdbus-1.so:${PORTSDIR}/devel/dbus \
+		libpthread-stubs.so:${PORTSDIR}/devel/libpthread-stubs \
+		libpcre.so:${PORTSDIR}/devel/pcre \
+		libupnp.so:${PORTSDIR}/devel/upnp \
+		libpng15.so:${PORTSDIR}/graphics/png \
+		libfreetype.so:${PORTSDIR}/print/freetype2 \
+		libassuan.so:${PORTSDIR}/security/libassuan \
+		libgcrypt.so:${PORTSDIR}/security/libgcrypt \
+		libgnome-keyring.so:${PORTSDIR}/security/libgnome-keyring \
+		libgpg-error.so:${PORTSDIR}/security/libgpg-error \
+		libgpgme.so:${PORTSDIR}/security/gpgme \
+		libexpat.so:${PORTSDIR}/textproc/expat2 \
+		libfontconfig.so:${PORTSDIR}/x11-fonts/fontconfig \
+		libspeex.so:${PORTSDIR}/audio/speex \
+		libxslt.so:${PORTSDIR}/textproc/libxslt
+RUN_DEPENDS=	pinentry-qt4:${PORTSDIR}/security/pinentry-qt4
 
-WRKSRC=		${WRKDIR}/trunk
-USES=		gettext iconv
+USE_ZIP=	yes
 USE_GNOME=	glib20
 USE_XORG=	ice sm x11 xau xcb xdmcp xext xrender
 USE_QT4=	corelib gui network xml script designer_build uic_build \
-		qmake_build moc_build rcc_build
+		qmake_build moc_build rcc_build multimedia
 HAS_CONFIGURE=	yes
 BINARY=		RetroShare
-BINARY_NOGUI=	retroshare-nogui
 MAKE_JOBS_UNSAFE=yes
-
-DESKTOP_ENTRIES="${BINARY}" "${COMMENT}" "" "${BINARY}" \
-		"Network;FileTransfer;" true
-
-OPTIONS_DEFINE=	NOGUI PLUGINS
-OPTIONS_DEFAULT=	PLUGINS
-NOGUI_DESC=		Install retroshare-nogui (CLI binary)
-PLUGINS_DESC=	Install plugins (LinksCloud, VoIP)
-
-NO_STAGE=	yes
-.include <bsd.port.options.mk>
-
-.if ${PORT_OPTIONS:MPLUGINS}
-LIB_DEPENDS+=	speex:${PORTSDIR}/audio/speex
-USE_QT4+=	multimedia
 USE_LDCONFIG=	yes
-.endif
+
+DESKTOP_ENTRIES="${BINARY}" "${COMMENT}" "${DATADIR}/retrosharelogo1.png" \
+		"${BINARY}" "Network;FileTransfer;" true
 
 do-configure:
 	@cd ${WRKSRC} && ${SETENV} ${CONFIGURE_ENV} \
 		${QMAKE} PREFIX=${PREFIX} ${BINARY}.pro
 
-USE_DOS2UNIX=	retroshare-gui/src/retroshare-gui.pro \
-		retroshare-nogui/src/retroshare-nogui.pro \
-		retroshare-gui/src/gui/common/GroupTreeWidget.cpp
+USE_DOS2UNIX=	retroshare-gui/src/retroshare-gui.pro
 
 post-patch:
 	@${REINPLACE_CMD} -e 's|/usr/local|${LOCALBASE}|' \
@@ -74,55 +58,34 @@ post-patch:
 		${WRKSRC}/retroshare-nogui/src/retroshare-nogui.pro
 	@${REINPLACE_CMD} -e 's|/usr/local/share/retroshare|${DATADIR}|' \
 		${WRKSRC}/libretroshare/src/rsserver/rsinit.cc
-.if empty(PORT_OPTIONS:MNOGUI)
+	@${REINPLACE_CMD} -e 's|/usr/local|${LOCALBASE}|' \
+		${WRKSRC}/plugins/FeedReader/FeedReader.pro
+	@${REINPLACE_CMD} -e 's|/usr/local/share/retroshare|${DATADIR}|' \
+		${WRKSRC}/libretroshare/src/rsserver/rsinit.cc
 	@${REINPLACE_CMD} -e 's|retroshare-nogui|#retroshare-nogui|' \
 		${WRKSRC}/${BINARY}.pro
-.if empty(PORT_OPTIONS:MPLUGINS)
-	@${REINPLACE_CMD} -e 's|retroshare-gui.pro \\|retroshare-gui.pro|' \
-		${WRKSRC}/${BINARY}.pro
-.endif
-.else
-.if empty(PORT_OPTIONS:MPLUGINS)
-	@${REINPLACE_CMD} -e 's|retroshare-nogui.pro \\|retroshare-nogui.pro|' \
-		${WRKSRC}/${BINARY}.pro
-.endif
-.endif
-.if empty(PORT_OPTIONS:MPLUGINS)
-	@${REINPLACE_CMD} -e 's|plugins|#plugins|' ${WRKSRC}/${BINARY}.pro
-.else
 	@${REINPLACE_CMD} -e 's|/usr/lib|${LOCALBASE}/lib|' \
 		${WRKSRC}/libretroshare/src/rsserver/rsinit.cc
-.endif
-
-pre-install:
-.if empty(PORT_OPTIONS:MNOGUI)
-PLIST_SUB+=	NOGUI="@comment "
-.else
-PLIST_SUB+=	NOGUI=""
-.endif
-.if empty(PORT_OPTIONS:MPLUGINS)
-PLIST_SUB+=	PLUGINS="@comment "
-.else
-PLIST_SUB+=	PLUGINS=""
-.endif
 
 post-install:
-	${INSTALL_PROGRAM} ${WRKSRC}/retroshare-gui/src/${BINARY} ${PREFIX}/bin
-.if ${PORT_OPTIONS:MNOGUI}
-	${INSTALL_PROGRAM} ${WRKSRC}/retroshare-nogui/src/${BINARY_NOGUI} ${PREFIX}/bin
-.endif
-	${MKDIR} ${DATADIR}
-	${INSTALL_MAN} ${WRKSRC}/libbitdht/src/example/bdboot.txt ${DATADIR}
-.if ${PORT_OPTIONS:MPLUGINS}
-	${MKDIR} ${PREFIX}/lib/retroshare
-	${MKDIR} ${PREFIX}/lib/retroshare/extensions
+	${INSTALL_PROGRAM} ${WRKSRC}/retroshare-gui/src/${BINARY} \
+		${STAGEDIR}${PREFIX}/bin
+	${MKDIR} ${STAGEDIR}${DATADIR}
+	${INSTALL_MAN} ${WRKSRC}/libbitdht/src/example/bdboot.txt \
+		${STAGEDIR}${DATADIR}
+	${INSTALL_DATA} ${WRKSRC}/retroshare-gui/src/gui/images/retrosharelogo1.png \
+		${STAGEDIR}${DATADIR}
+	${MKDIR} ${STAGEDIR}${PREFIX}/lib/retroshare
+	${MKDIR} ${STAGEDIR}${PREFIX}/lib/retroshare/extensions
 	${INSTALL_LIB} ${WRKSRC}/plugins/LinksCloud/libLinksCloud.so.1.0.0 \
-		${PREFIX}/lib/retroshare/extensions/libLinksCloud.so.1
+		${STAGEDIR}${PREFIX}/lib/retroshare/extensions/libLinksCloud.so.1
 	${INSTALL_LIB} ${WRKSRC}/plugins/VOIP/libVOIP.so.1.0.0 \
-		${PREFIX}/lib/retroshare/extensions/libVOIP.so.1
-	@cd ${PREFIX}/lib/retroshare/extensions && \
+		${STAGEDIR}${PREFIX}/lib/retroshare/extensions/libVOIP.so.1
+	${INSTALL_LIB} ${WRKSRC}/plugins/FeedReader/libFeedReader.so.1.0.0 \
+		${STAGEDIR}${PREFIX}/lib/retroshare/extensions/libFeedReader.so.1
+	@cd ${STAGEDIR}${PREFIX}/lib/retroshare/extensions && \
 		${LN} -s libLinksCloud.so.1 libLinksCloud.so && \
-		${LN} -s libVOIP.so.1 libVOIP.so
-.endif
+		${LN} -s libVOIP.so.1 libVOIP.so && \
+		${LN} -s libFeedReader.so.1 libFeedReader.so
 
 .include <bsd.port.mk>

Modified: head/net-p2p/retroshare/distinfo
==============================================================================
--- head/net-p2p/retroshare/distinfo	Wed Nov  6 15:35:55 2013	(r333004)
+++ head/net-p2p/retroshare/distinfo	Wed Nov  6 15:39:09 2013	(r333005)
@@ -1,2 +1,2 @@
-SHA256 (RetroShare-v0.5.4d.tar.gz) = 2c5bcd1764829abc260d5c9328088a09307c00f0e15c3cc12a08ba3584d549c7
-SIZE (RetroShare-v0.5.4d.tar.gz) = 15914197
+SHA256 (RetroShare-v0.5.5a.zip) = c0d33c6e2055b68184940098599c105c6b6c2909a166331a0c710f9fd86a2253
+SIZE (RetroShare-v0.5.5a.zip) = 12527884

Added: head/net-p2p/retroshare/files/patch-plugins-FeedReader-FeedReader.pro
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net-p2p/retroshare/files/patch-plugins-FeedReader-FeedReader.pro	Wed Nov  6 15:39:09 2013	(r333005)
@@ -0,0 +1,12 @@
+--- plugins/FeedReader/FeedReader.pro.orig	2013-10-22 11:53:29.000000000 +0200
++++ plugins/FeedReader/FeedReader.pro	2013-10-22 11:54:10.000000000 +0200
+@@ -101,3 +101,9 @@
+ 	LIBS += -lcurl -lxml2 -lxslt
+ }
+ 
++freebsd-* {
++
++	INCLUDEPATH += /usr/local/include/libxml2
++
++	LIBS += -lcurl -lxml2 -lxslt
++}

Modified: head/net-p2p/retroshare/files/patch-retroshare-gui-src-retroshare-gui.pro
==============================================================================
--- head/net-p2p/retroshare/files/patch-retroshare-gui-src-retroshare-gui.pro	Wed Nov  6 15:35:55 2013	(r333004)
+++ head/net-p2p/retroshare/files/patch-retroshare-gui-src-retroshare-gui.pro	Wed Nov  6 15:39:09 2013	(r333005)
@@ -1,17 +1,23 @@
---- retroshare-gui/src/retroshare-gui.pro.orig	2012-10-29 21:09:06.932916323 +0100
-+++ retroshare-gui/src/retroshare-gui.pro	2012-10-29 21:10:17.747920258 +0100
-@@ -175,11 +175,14 @@
+--- retroshare-gui/src/retroshare-gui.pro.orig	2013-10-21 21:31:11.012605427 +0200
++++ retroshare-gui/src/retroshare-gui.pro	2013-10-21 21:31:53.770609780 +0200
+@@ -209,17 +209,19 @@
  freebsd-* {
  	INCLUDEPATH *= /usr/local/include/gpgme
  	LIBS *= ../../libretroshare/src/lib/libretroshare.a
-+	LIBS += ../../openpgpsdk/src/lib/libops.a -lbz2
++	LIBS *= ../../openpgpsdk/src/lib/libops.a -lbz2
  	LIBS *= -lssl
  	LIBS *= -lgpgme
  	LIBS *= -lupnp
  	LIBS *= -lgnome-keyring
  	PRE_TARGETDEPS *= ../../libretroshare/src/lib/libretroshare.a
-+	# plugins need this
-+	QMAKE_LFLAGS *= -rdynamic
++	PRE_TARGETDEPS *= ../../openpgpsdk/src/lib/libops.a
+ 
+         gxs {
+                 LIBS += ../../supportlibs/pegmarkdown/lib/libpegmarkdown.a
+                 LIBS += -lsqlite3
+         }
+-
++	LIBS *= -rdynamic
  }
  
- ############################## Common stuff ######################################
+ ##################################### OpenBSD ######################################

Modified: head/net-p2p/retroshare/pkg-plist
==============================================================================
--- head/net-p2p/retroshare/pkg-plist	Wed Nov  6 15:35:55 2013	(r333004)
+++ head/net-p2p/retroshare/pkg-plist	Wed Nov  6 15:39:09 2013	(r333005)
@@ -1,10 +1,12 @@
 bin/RetroShare
-%%NOGUI%%bin/retroshare-nogui
-%%PLUGINS%%lib/retroshare/extensions/libLinksCloud.so
-%%PLUGINS%%lib/retroshare/extensions/libLinksCloud.so.1
-%%PLUGINS%%lib/retroshare/extensions/libVOIP.so
-%%PLUGINS%%lib/retroshare/extensions/libVOIP.so.1
+lib/retroshare/extensions/libLinksCloud.so
+lib/retroshare/extensions/libLinksCloud.so.1
+lib/retroshare/extensions/libVOIP.so
+lib/retroshare/extensions/libVOIP.so.1
+lib/retroshare/extensions/libFeedReader.so
+lib/retroshare/extensions/libFeedReader.so.1
 %%DATADIR%%/bdboot.txt
+%%DATADIR%%/retrosharelogo1.png
 @dirrm %%DATADIR%%
-%%PLUGINS%%@dirrm lib/retroshare/extensions
-%%PLUGINS%%@dirrm lib/retroshare
+@dirrm lib/retroshare/extensions
+@dirrm lib/retroshare
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 8 William Grzybowski freebsd_committer 2013-11-06 15:39:23 UTC
State Changed
From-To: open->closed

Committed. Thanks!